#include <at91sam7s64.h>
#include <delay.h>
#include  <math.h>
 
   #define PORTRAIT 
  #define TFTLCD_DATAPORT_A             
  #define TFTLCD_DATAPORT_OFFSET      15
  #define TFTLCD_CONTROLPORT_A          
  #define TFTLCD_RST                  0
  #define TFTLCD_RS                   1
  #define TFTLCD_CS                   2
  #define TFTLCD_WR                   3
  #define TFTLCD_RD                   4                   
  #include "tftlcd_functions.c"
   
#define NPCS0 (1<<11)
#define MISO (1<<12)
#define MOSI (1<<13)
#define SPCK (1<<14)


void main(void){
char str1[1];
unsigned int control_byte=0,recieve=0,counter=0;

//spi clock enable
*AT91C_PMC_PCER|=AT91C_ID_SPI;	 // AT91C_ID_SPI=(1<<5)

//configuring spi pins
*AT91C_PIOA_PDR=(NPCS0|MISO|MOSI|SPCK);						 		    
*AT91C_PIOA_MDER=(NPCS0|MISO|MOSI|SPCK);
*AT91C_PIOA_ASR=(NPCS0|MISO|MOSI|SPCK);
*AT91C_PIOA_PPUER=(NPCS0|MISO|MOSI|SPCK);
														          
//spi setting
*AT91C_SPI_MR=0xf000019;  // m/s mode,ps=0:1 device,pcsdec=0:4cs line,fdiv=1:mck/n,modfds=0:enalbe,pcs=1110:cs0 is active
AT91C_BASE_SPI->SPI_CSR[0]=0x0f0f9041;											
	
// enable spi0
*AT91C_SPI_CR=0x1; 
tftlcd_init();
  
while(1){
control_byte=0x97;
while ((AT91C_BASE_SPI->SPI_SR&0x2)==0);
  AT91C_BASE_SPI->SPI_TDR=control_byte;
while ((AT91C_BASE_SPI->SPI_SR&0x1)==0);
recieve=AT91C_BASE_SPI->SPI_RDR&0xFF;
intstr(recieve,str1);
tftlcd_gotoxy(0,0);
tftlcd_putsf("r=",0,WHITE,0);
tftlcd_puts(str1,0,WHITE,0);
	delay_ms(50);
	tftlcd_write_index_register(TS_INS_START_ADX);
    tftlcd_write_wdr(18);
    tftlcd_write_index_register(TS_INS_END_ADX);
    tftlcd_write_wdr(50);
    tftlcd_write_index_register(TS_INS_GRAM_ADX);
    tftlcd_write_wdr(0);
    tftlcd_write_index_register(TS_INS_START_ADY);
    tftlcd_write_wdr(0);
    tftlcd_write_index_register(TS_INS_END_ADY);
    tftlcd_write_wdr(31); 
	tftlcd_write_index_register(TS_INS_GRAM_ADY);
    tftlcd_write_wdr(0);

	tftlcd_write_index_register(TS_INS_RW_GRAM);

    for(counter = 0;counter < 1024;counter++)
        tftlcd_write_wdr(0xffff);
}
}
 
  
        
